#
# Project: parseduat
# File:    installation script
# Type:    RedHat package manager configuration
#
%define name parseduat
%define version 1.0.0
%define release 1suse

Distribution: SuSE Linux 6.3
Name:         parseduat
Release:      %{release}
Version:      %{version}

Copyright:    GPL 2000 Dr. Robert J. Meier
Packager:     Dr. Robert J. Meier <robert.meier@computer.org>
Group:        Games
Provides:     %{name}
Requires:     perl >= 5.0.0

Source:       %{name}-%{version}.tar.gz
Prefix:       /etc/%{name}
Prefix:       %{_bindir}
Prefix:       %{_mandir}

Summary:      parse DTC DUAT aviation weather data


%description
parseduat divides DTC DUAT aviation downloaded data into separate
hierarchical files and directories for easier selection of relevant
and changed data.  Configuration options include depth of directory
tree produced, and html vs cpp(1) files.


%prep
%setup -q


%build


%install
cp -pr . /opt/%{name}
if test -L %{_bindir}/%{name}; then rm %{_bindir}/%{name}; fi
ln -s /opt/%{name}/bin/parseduat %{_bindir}/%{name}
mkdir -p /etc/%{name}
cp etc/parseduatrc /etc/%{name}/%{name}rc
gzip -c doc/parseduat.1 > %{_mandir}/man1/%{name}.1.gz


%clean


%files
%{_bindir}/%{name}
/opt/%{name}
%config /etc/%{name}
%{_mandir}/man1/%{name}.1.gz

%changelog
* Mon Jul 21 2000 Dr. Robert J. Meier <robert.meier@computer.org> 1.0.0-1suse
- Packaged for SuSE 6.3
